function De = Select_De(X,T)

% find the optimal delay time using the auto-corrlation function

Cor = xxcorr(X,T);

[m,n] = size(Cor);

for i = 1:m
    Cor1 = Cor(i,:);

    T=Cor1(1)/exp(1);
    aa = find(Cor1<T);
    if length(aa) == 0
        De(i) = n;
    else
        De(i) = min(aa)-1;
    end
end


function A = xxcorr(X,T)

for i = 1:T+1
    A(i) = sum(X(1:end-i+1).*X(i:end));
end
