function pc=pecmi(x,y,z,tau)

if ~exist('tau')|isempty(tau),tau=1;end

if ~libisloaded('pcmilib')
    loadlibrary('pcmi','pcmi.h','alias','pcmilib');
end

x_ary = libpointer('doublePtr',x);
y_ary = libpointer('doublePtr',y);
z_ary = libpointer('doublePtr',z);

calllib('pcmilib','PCMI',x_ary,y_ary,z_ary,length(x),tau);

cmiz=calllib('pcmilib','GetZ');
cmixz=calllib('pcmilib','GetXZ');
cmiyz=calllib('pcmilib','GetYZ');
cmixyz=calllib('pcmilib','GetXYZ');

pc=cmixz+cmiyz-cmiz-cmixyz;