function out = notchfilter(data,f0,sr)

% This program is to remove signal with a fixed frequency, such as 50 or 60 Hz. 

% Inpout:  
%       data   :  a time sereis 
%       f0     :  need to remove the freuency of signal
%       sr     :  sampling frequency, such as 256 Hz, ... 

% Output: 
%      out    :  a new time series    

% May 8, 2005.
%f0=60;                % you may select any frequency.

w0=2*pi*f0/sr;
rez=cos(w0);   
imz=sin(w0);
rez1=0.99*rez;
imz1=0.99*imz;

b = conv([1 -rez-i*imz],[1 -rez+i*imz]);
a = conv([1 -rez1-i*imz1],[1 -rez1+i*imz1]);

out=filter(b,a,data);

return;
